Subject: bug#40139: 25.2; SIGBUS

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 15:35:15 -0700

tags 40139 + notabug
close 40139
thanks

Eli Zaretskii <[email-masked]> writes:

>> It looks ImageMagick problem.
>
> Indeed.
>
>> Howevr if it crashes or otherwise
>> misbehaves it should not bring down my whole emacs process.
>
> A fatal signal in any C library used by Emacs will necessarily bring
> the whole Emacs process down.  Emacs tries to catch these signals and
> perform auto-saving, but after doing so it has no choice but shut
> down, because there's no way of continuing from such fatal signals on
> modern operating systems.
>
> ImageMagick has many stability problems, which is why Emacs is moving
> away of using it, by implementing some of its capabilities natively,
> and by replacing its other capabilities with other external libraries.
> My suggestion is to try the latest Emacs (version 26.3 is the latest
> official release; version 27.1 is in pretest and can be downloaded
> from alpha.gnu.org), and upgrade your ImageMagick to a more stable
> version if that is possible.
>
> Other than that, I don't see how this problem can be solved in Emacs.

Eli Zaretskii <[email-masked]> writes:

>> I finally switched to 26.3 and the problem persists.
>> For example, it renders 'latex-preview-pane-mode` unusable.
>
> I suggest to try the latest pretest of 27.1, which is built without
> ImageMagick.
>
>> Perhaps a more robust solution would be to spawn ImageMagic as
>> sub-process instead of using it as a library?
>
> In Emacs 27 we switched to built-in capabilities instead.

The problem here is in ImageMagick, so I'm tagging this as notabug.
This should instead be reported to the ImageMagick developers.

The solution we recommend is not to use ImageMagick, which is the
default in Emacs 27.1.  I'm therefore closing this bug report.

Best regards,
Stefan Kangas